### Method

# Fwupd Device get_plugin

since: 1.0.0

#### Declaration [src]

    const gchar*
    fwupd_device_get_plugin (
      FwupdDevice* self
    )

#### Description [src]

Gets the plugin that created the device.

Available since: 1.0.0

#### Return value

Type: `const gchar*`

The plugin name, or `NULL` if unset.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.